
from django.urls import path
from . import views
from django.contrib.staticfiles.urls import staticfiles_urlpatterns

urlpatterns = [
    path('', views.index_view, name='index'),
    path('no_access/', views.no_access_redirect, name='no_access'),
    path('index/', views.index_view, name='index'),
    path('login/', views.login_view, name='login'),
    path('logout/', views.logout_view, name='logout'),
    path('register/', views.register_view, name='register'),
    path('create_club/', views.club_create, name='create_club'),
    path('create_cinema/', views.create_cinema, name="create_cinema"),
    path('elevate_user/', views.elevate_user_view, name='elevate_user'),
    path('view_details/', views.view_my_details, name='view_details'),
    path('manage_screens/', views.screen_list, name='manage_screens'),
    path('manage_screens/create_screen/', views.screen_create, name='create_screen'),
    path('manage_screens/update_screen/<int:pk>/', views.screen_update, name='update_screen'),
    path('manage_screens/delete_screen/<int:pk>/', views.screen_delete, name='delete_screen'),
    path('manage_screens/screen_list/', views.screen_list, name='screen_list'),
    path('manage_screens/showings/create_showing/', views.showing_create, name='create_showing'),
    path('manage_screens/showings/update_showing/<int:pk>', views.showing_update, name='update_showing'),
    path('manage_screens/showings/delete_showing/<int:pk>', views.showing_delete, name='delete_showing'),
    path('manage_clubs/', views.clubs_list, name='manage_clubs'),
    path('manage_clubs/<int:pk>/update', views.club_update, name='update_club'),
    path('manage_clubs/<int:pk>/delete', views.club_delete, name='delete_club'),
    path('manage_clubs/create_account/', views.account_create, name='create_account'),
    path('manage_clubs/<int:pk>/update_account/', views.account_update, name='update_account'),
    path('manage_clubs/<int:pk>/delete_account/', views.account_delete, name='delete_account'),
    path('manage_clubs/<int:pk>/update_rep/', views.representative_update, name='update_rep'),
    path('manage_clubs/<int:pk>/manage_statements/', views.statements_list, name='manage_statements'),
    path('manage_clubs/<int:pk>/generate_statement/', views.statement_generate, name='generate_statement'),
    path('manage_clubs/<int:pk>/manage_statements/<int:st_pk>/update/', views.statement_update, name='update_statement'),
    path('manage_clubs/<int:pk>/manage_statements/<int:st_pk>/delete/', views.statement_delete, name='delete_statement'),
    path('create_film/', views.film_create, name='create_film')
]
